=== debian/changelog ===
s390-tools (2.23.0-0ubuntu1.1) kinetic; urgency=medium

  * d/p/lp1996069-zipl-boot-add-secure-boot-trailer.patch
    Add secure boot trailer in zipl stage 3 to keep compatibility with
    upcoming IBM zSystems firmware updates. (LP: #1996069)
  * Add d/p/lp1996477-dbginfo.sh-ensure-type-commands-compatible-with-dash.patch
    and d/p/lp1996477-dbginfo.sh-ensure-compatibility-with-bin-dash.patch
    to achieve dbginfo.sh compatibility with /bin/dash shell. (LP: #1996477)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 16 Nov 2022 16:48:54 +0100

s390-tools (2.23.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release, that solves LP: #1986991, but also the following:
    LP: #1986670, LP: #1929033, LP: #1852736, LP: #1959972, LP: #1982346,
    LP: #1982368, LP: #1982384, LP: #1982760, LP: #1982838 and LP: #1959987
  * Remove the following patches since they are included with this
    new upstream release:
    - d/p/e8fca95-zdev-Fix-off-by-one-errors-in-cio_ignore-handling.patch
    - d/p/455ad95-zdump-Fix-dev-mem-reading.patch
    - d/p/ee2c6d4-zipl-Allow-optional-entries-that-are-left-out-when-f.patch
    - d/p/a9e13a2d-genprotimg-introduce-macro-for-the-control-flags-and.patch
    - d/p/0906293c-genprotimg-enable-pckmo-and-disable-pckmo-are-mutual.patch
    - d/p/5394cd36-genprotimg-add-PV-guest-dump-support.patch
    - d/p/78b0533-genprotimg-remove-DigiCert-root-CA-pinning.patch
    - d/p/673ff37-genprotimg-check_hostkeydoc-relax-default-issuer-che.patch
    - d/p/0d15a07-chreipl-fcp-mpath-bundle-a-pre-cooked-man-page.patch
    - d/p/2515832-util_arch-Add-IBM-z16-as-known-machine.patch
    - d/p/cce5f51-cpumf-lscpumf-Add-IBM-z16-extended-counter-set-def.patch
    - d/p/b16a6d4f-lszcrypt-add-CEX8S-support.patch
    - d/p/bcbb6fca-zcryptstats-add-CEX8-support.patch
    - d/p/4382901d-lszcrypt-show-AP-bus-msg-size-limit-capability.patch
    - d/p/27dce331-lszcrypt-add-support-for-checkstop-state.patch
    - d/p/a29b3c89-lszcrypt-new-options-to-show-only-accel-cca-or-ep11-.patch
    - d/p/a8b0d7ac-lszcrypt-new-options-to-filter-cards-queues-only.patch
    - d/p/46fd42af-lszcrypt-new-option-to-show-the-serial-numbers-of-CC.patch
    - d/p/3a13cb4-dbginfo.sh-unify-console-output.patch
    - d/p/2eea614-dbginfo.sh-unify-indents-prettify-code.patch
    - d/p/fcb503e-dbginfo.sh-sync-excludes-in-sysfs-data-collection.patch
    - d/p/abec41f-dbginfo.sh-alphabetic-order-of-log-and-config-files.patch
    - d/p/164d481-dbginfo.sh-check-existence-of-dump2tar-before-execut.patch
    - d/p/50a4740-dbginfo.sh-replace-which-by-builtin-command-type-for.patch
    - d/p/2ab27bd-dbginfo.sh-update-copyright-date.patch
    - d/p/a8579a0-dbginfo.sh-replace-indents-with-8char-tab.patch
    - d/p/81920f7-dbginfo.sh-re-group-commands-for-network.patch
    - d/p/a0d6edf-dbginfo.sh-re-group-commands-by-long-output.patch
    - d/p/812df79-dbginfo.sh-re-group-commands-by-topic.patch
    - d/p/2677a41-dbginfo.sh-re-group-commands-by-system-state.patch
    - d/p/be47b51-dbginfo.sh-re-group-commands-by-z-device.patch
    - d/p/02a0d12-dbginfo.sh-re-group-commands-by-block-scsi.patch
    - d/p/0981df6-cmsfs-fuse-fix-enabling-of-hard_remove-option.patch
    - d/p/9e62005-genprotimg-boot-disable-Warray-bounds-for-now.patch
  * Remove d/p0010-no-pie-is-not-a-valid-option-for-ld.patch since it's solved
    upstream with 5e46632, 71fe581, b39bdfb, 9f6150d and ae72178.
  * Remove d/p/0001-zkey-add-initramfs-hook.patch since it's solved upstream
    with 3669fd4.
  * Remove d/p/0001-zkey-on-Ubuntu-use-default-benchmarked-Argon2i-with-.patch
    since it's solved upstream with 51b9504.
  * Remove d/p/0001-dumpconf-Don-t-run-the-service-in-LXC.patch since it's
    solved upstream with b4648ec.
  * Remove d/p/0001-ziomon-Use-exit-code-0-for-version-and-help.patch since
    it's solved upstream with 6919921.
  * Remove d/p/adjust-runlevels-in-dumpconf-initd-script.patch since it's
    solved upstream with 508253c, 13fef6d, a177ae2 and b01ef78.
  * Add build dependency to liblockfile-dev for new ap-check/libap.
  * Remove 'etc/init.d/dumpconf' from debian/s390-tools.install
    since it is no longer included in upstream anymore,
    but add lib/systemd/system/dumpconf.service instead.
  * Updated /usr/share/man/man1/zfcpdbf.1 to /usr/share/man/man8/zfcpdbf.8
    to reflect upstream changes.
  * Explicitly add pvattest-info script to debian/s390-tools.install.
  * Add new ap_tools script 'ap-check' to debian/s390-tools.install
    and add mdevctl as 'Suggests' to debian/control.
  * Add new files usr/share/man/man8/zipl.8, etc/ziplenv and
    usr/share/man/man8/zipl-editenv.8 to debian/s390-tools.install.
  * Remove README.md for genprotimg from debian/s390-tools.docs,
    since it's already included in debian/s390-tools.install.
  * Add readme files for pvattest, hsavmcore/initramfs, iucvterm/ts-shell
    and zfcpdump to debian/s390-tools.install and add '#!/usr/bin/dh-exec'
    to the top of debian/s390-tools.install and made it executable,
    and add dh-exec to Build-Depends in debian/control,
    to be able to rename the readme files to a common scheme.
  * Add AUTHORS.md and LICENSE files to debian/s390-tools.docs.
  * Fix 'binary-in-etc' lintian issue and move the binary 'ap-check' to
    /usr/lib/s390-tools/ in debian/rules and introduce a wrapper script
    in '/etc/mdevctl.d/scripts.d/callouts/ap-check' with the help of
    d/p/lp1986991-fix-binary-in-etc.patch.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 17 Aug 2022 10:55:47 +0200

s390-tools (2.20.0-0ubuntu5) kinetic; urgency=medium
  
  * d/p/9e62005-genprotimg-boot-disable-Warray-bounds-for-now.patch:
    Fix FTBFS with GCC-12 using upstream commit 9e62005 (LP: #1986670)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Aug 2022 12:13:49 +0200

s390-tools (2.20.0-0ubuntu4) kinetic; urgency=medium

  * Fix chreipl-fcp-mpath (LP: #1971993)
    - Move chreipl-fcp-mpath* from /lib/udev/rules.d to /lib/udev.
    - d/control:

