=== debian/changelog ===
s390-tools (2.26.0-0ubuntu1) lunar; urgency=medium

  * New upstream release, requested in LP: #2003284
    but also solves: LP: #1982339, LP: #2003281, LP: #2003286, LP: #2003393 and
    LP: #2003680
  * Update 'Standards-Version' field in d/control to latest version 4.6.1.0.

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 14 Feb 2023 15:00:53 +0100

s390-tools (2.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release, requested in LP: #2006451
  * Remove d/p/lp1986991-fix-binary-in-etc.patch and the corresponding lines
    in debian/rules and debian/s390-tools.install, since a fix for this is 
    now upstream included with commit 4b5937f
    "ap_tools/ap-check: use new mdevctl install location".

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 26 Jan 2023 12:22:05 +0100
