=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends: debhelper-compat (= 13), libz-dev, quilt, gcc-multilib, libfuse3-dev, libncurses-dev, libpfm4-dev, libssl-dev, libcurl4-openssl-dev, libcryptsetup-dev, libjson-c-dev, libsnmp-dev, libglib2.0-dev, libxml2-dev, bsdextrautils, liblockfile-dev, dh-exec
-Standards-Version: 3.9.7
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/ibm-s390-linux/s390-tools
 
 Package: s390-tools
