=== debian/changelog ===
s390-tools (2.28.0-0ubuntu2) mantic; urgency=medium

  * Extend s390-tools package to amd64, ppc64el and arm64. (LP: #2025578)
    - d/control: - Extend Architecture: in s390-tools with amd64 ppc64el arm64
                 - Add new package s390-tools-data as 'Architecture: all'.
                 - Extend Depends: in s390-tools with s390-tools-data.
                 - Limit Depends on gcc-multilib to s390x.
                 - Add 'XS-Build-Indep-Architecture: s390x' to ensure building
                   the 'Architecture: all' on s390x.
                 - Mark Depends, Suggests and Recommends for s390x only where
                   needed to avoid confusing messages on non-s390x installs.
                 - Add Replaces and Breaks s390-tools (<< 2.28.0-0ubuntu2)
                   to allow smooth upgrades, since stage3a.bin moved to -data.
    - d/rules: - Separate selected statements in d/rules in s390x
                 (and non-s390x).
               - Add '-Xstage3a.bin -Xstage3b_reloc.bin' to dh_install
                 to avoid having these files in two packages (s390-tools
                 and s390-tools-data).
               - Change SIGN_SIPL condition to enable signing in Launchpad
                 only, and on s390x only.
    - d/s390-tools.install: - Make this old d/s390-tools.install the new s390x
                              specific version (.install.s390x) (by using mv).
                            - Remove lines with "=>" that rename files, to
                              eliminate executable .install.s390x file and
                              remove '#!/usr/bin/dh-exec', since this doesn't
                              seem to work for arch specific install files.
                            - Create new d/s390-tools.install to become the
                              default version for non-s390x, and install only
                              files for pvattest and genprotimg.
    - d/s390-tools-data.install: Pick and install bootloader files (stage3a.bin
                                 and stage3b_reloc.bin) required by genprotimg.
    - d/s390-tools.postinst: Make this old d/s390-tools.postinst now s390x
                             specific (mv to d/s390-tools.postinst.s390x).
    - Add d/p/lp-2025578-Recursive-Makefiles-avoid-race-condition.patch
      to fix random build failures due to race condition in install target.

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 26 Jul 2023 16:56:00 +0200

s390-tools (2.28.0-0ubuntu1) mantic; urgency=medium

  * New upstream release, requested in LP: #2025781
    - Adds Secure Execution APQN binding and IBK association LP: #2003633
    - Adds Support for List-Directed dump from ECKD DASD LP: #2003397
    - Adds DASD autoquiesce support LP: #2025576
    - Add pkg-config to d/control, since it's required now (4bba105).
    - Remove d/p/bashism.patch, since it's incl. in upstream now (5522aae).
  * d/control: 'wrap-and-sort -s' run

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 25 Jul 2023 10:10:36 +0200
