=== debian/control ===
--- 
+++ 
@@ -4,16 +4,51 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper-compat (= 13), libz-dev, quilt, gcc-multilib, libfuse3-dev, libncurses-dev, libpfm4-dev, libssl-dev, libcurl4-openssl-dev, libcryptsetup-dev, libjson-c-dev, libsnmp-dev, libglib2.0-dev, libxml2-dev, bsdextrautils, liblockfile-dev, dh-exec
+Build-Depends:
+ bsdextrautils,
+ debhelper-compat (= 13),
+ dh-exec,
+ gcc-multilib [s390 s390x],
+ libcryptsetup-dev,
+ libcurl4-openssl-dev,
+ libfuse3-dev,
+ libglib2.0-dev,
+ libjson-c-dev,
+ liblockfile-dev,
+ libncurses-dev,
+ libpfm4-dev,
+ libsnmp-dev,
+ libssl-dev,
+ libxml2-dev,
+ libz-dev,
+ pkg-config,
+ quilt
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/ibm-s390-linux/s390-tools
+XS-Build-Indep-Architecture: s390x
 
 Package: s390-tools
-Architecture: s390 s390x
+Architecture: s390 s390x amd64 ppc64el arm64
 Priority: important
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${signing:Depends}, gawk, udev
-Recommends: sg3-utils
-Suggests: s390-tools-cpuplugd, s390-tools-osasnmpd, s390-tools-statd, s390-tools-chreipl-fcp-mpath, multipath-tools, lsscsi, rsync, blktrace, mdevctl
+Depends:
+ gawk [s390 s390x],
+ s390-tools-data,
+ udev [s390 s390x],
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends},
+ ${signing:Depends}
+Recommends: sg3-utils [s390 s390x]
+Suggests:
+ blktrace [s390 s390x],
+ lsscsi [s390 s390x],
+ mdevctl [s390 s390x],
+ multipath-tools [s390 s390x],
+ rsync [s390 s390x],
+ s390-tools-chreipl-fcp-mpath [s390 s390x],
+ s390-tools-cpuplugd [s390 s390x],
+ s390-tools-osasnmpd [s390 s390x],
+ s390-tools-statd [s390 s390x]
 Description: fundamental utilities for Linux on z Systems
  The package contains:
   * dasdfmt, which is used to low-level format ECKD-DASDs with either
@@ -32,14 +67,14 @@
 
 Package: s390-tools-cpuplugd
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: cpuplugd utility for Linux on z Systems
  The package contains cpuplugd hotplug daemon from the s390-tools
  collection of utilities.
 
 Package: s390-tools-statd
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: s390-tools (<<1.34.0-0ubuntu7~)
 Replaces: s390-tools (<<1.34.0-0ubuntu7~)
 Description: mon_statd monitoring daemons for Linux on z Systems
@@ -49,21 +84,21 @@
 
 Package: s390-tools-osasnmpd
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev
+Depends: udev, ${misc:Depends}, ${shlibs:Depends}
 Description: osasnmpd utility for Linux on z Systems
  The package contains osasnmpd monitoring daemon from the s390-tools
  collection of utilities.
 
 Package: s390-tools-zkey
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: zkey utilities for Linux on z Systems
  The package contains zkey and zkey-cryptsetup from the s390-tools
  collection of utilities.
 
 Package: libekmfweb1
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: integration with IBM Enterprise Key Management Foundation
  This package contains library to integrate with IBM Enterprise Key
  Management Foundation. It is used by zkey plugin for pervasive
@@ -83,7 +118,7 @@
 
 Package: libkmipclient1
 Architecture: s390 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: KMIP client library
  A shared library that provides an KMIP client to communicate with an KMIP
  server. KMIP stands for Key Management Interoperability Protocol, and is an
@@ -105,8 +140,17 @@
 
 Package: s390-tools-chreipl-fcp-mpath
 Architecture: s390 s390x
-Depends: ${misc:Depends}, multipath-tools, multipath-tools-boot, udev
+Depends: multipath-tools, multipath-tools-boot, udev, ${misc:Depends}
 Description: chreipl-fcp-mpath utility for Linux on z Systems
  The package contains chreipl-fcp-mpath toolset from the s390-tools collection
  of utilities, that uses multipath information to change the configured FCP
  re-IPL path on detecting issues with the current path.
+
+Package: s390-tools-data
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: s390-tools (<< 2.28.0-0ubuntu2)
+Breaks: s390-tools (<< 2.28.0-0ubuntu2)
+Description: fundamental utilities for Linux on z Systems (data files)
+ Host architecture independent files used by s390-tools utilities for
+ z Systems. Currently this package ships stage3a/b files for genprotimg.
